<?php
/**
 * @package WordPress
 * @subpackage Amphitheatre
 */

get_header(); ?>
<?php if (have_posts()) : ?>

<div id="grid" role="main">
  <?php while (have_posts()) : the_post(); ?>
  <?php $postclass = ($post == $posts[0]) ? 'col2' : 'col1'; ?>
  <!-- Style first post -->
  <article class="box <?php echo $postclass; ?> post" id="post-<?php the_ID(); ?>">
  <?php if ($count == 0) : ?>
  <hgroup id="site-title">
    <h1><a href="<?php echo home_url(); ?>/">
      <?php bloginfo('name'); ?>
      </a></h1>
    <h2 id="site-description">
      <?php bloginfo( 'description' ); ?>
    </h2>
  </hgroup>
  <header class="boxheader">
  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
  <?php /* If this is a category archive */ if (is_category()) { ?>
  <h1 class="pagetitle">Archive for the &#8216;
    <?php single_cat_title(); ?>
    &#8217; Category</h1>
  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
  <h1 class="pagetitle">Posts Tagged &#8216;
    <?php single_tag_title(); ?>
    &#8217;</h1>
  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
  <h1 class="pagetitle">Archive for
    <?php the_time('F jS, Y'); ?>
  </h1>
  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
  <h1 class="pagetitle">Archive for
    <?php the_time('F, Y'); ?>
  </h1>
  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
  <h1 class="pagetitle">Archive for
    <?php the_time('Y'); ?>
  </h1>
  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
  <h1 class="pagetitle">
  Author Archive
  </h2>
  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    <h1 class="pagetitle">Blog Archives</h1>
    <?php } ?>
  </header>
  <?php endif; $count++; ?>
  <?php if(has_post_thumbnail()): ?>
  <div class="comment-float">
    <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
  </div>
  <?php the_post_thumbnail('' . $postclass . 'img'); ?>
  <header class="boxheader">
  <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
    <?php the_title(); ?>
    </a></h1>
  <?php else: ?>
  <header class="boxheader">
    <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
      <?php the_title(); ?>
      </a></h1>
    <div class="subheader">
      <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
    </div>
    <?php endif; ?>
  </header>
  <?php the_content('Read the rest of this entry &raquo;'); ?>
  <footer class="postfooter">
    <time class="time" datetime="<?php the_time('Y-m-d')?>"><span class="day">
      <?php the_time('d')?>
      </span> <span class="month">
      <?php the_time('M')?>
      </span> <span class="year">
      <?php the_time('Y')?>
      </span></time>
    <div class="postmeta"> <span class="author"><em>Posted by</em>
      <?php the_author() ?>
      </span> <em>
      <?php wp_days_ago(); ?>
      </em><br/>
      <em>Category</em>
      <?php the_category(' &rsaquo; ') ?>
      |
      <?php edit_post_link('Edit', '', ''); ?>
    </div>
    <div class="clear"></div>
  </footer>
  </article>
  <?php if ($count == 1) : ?>
  <?php get_sidebar(); ?>
  <?php endif; $count++; ?>
  <?php endwhile ?>
  <div class="clear"></div>
</div>
<nav class="navigation_group">
  <div class="next">
    <?php previous_posts_link('&laquo; Newer Posts') ?>
  </div>
  <div class="prev">
    <?php next_posts_link('Older Posts &raquo;') ?>
  </div>
  <?php if (function_exists("emm_paginate")) {
				emm_paginate();
			} ?>
</nav>
<?php else :
  if ( is_category() ) { // If this is a category archive
    printf("<h2>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
  } else if ( is_date() ) { // If this is a date archive
    echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
  } else if ( is_author() ) { // If this is a category archive
    $userdata = get_userdatabylogin(get_query_var('author_name'));
    printf("<h2>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
  } else {
    echo("<h2>No posts found.</h2>");
  }
  get_search_form();
  endif;
  ?>
<?php get_footer(); ?>