<?php
/**
 * @package WordPress
 * @subpackage Amphitheatre
 */

/*******************************
 FANCYBOX
********************************/

add_filter('the_content', 'addfancyboxrel', 12);
add_filter('get_comment_text', 'addfancyboxrel');
function addfancyboxrel ($content)
{   global $post;
	$pattern = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)<\/a>/i";
    $replacement = '<a$1href=$2$3.$4$5 rel="fancybox"$6>$7</a>';
    $content = preg_replace($pattern, $replacement, $content);
    return $content;
}

/*******************************
 WORDPRESS
********************************/

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 90, 90, true);
add_image_size('col2img',600,350,true);
add_image_size('col1img',300,200,true);
add_theme_support( 'automatic-feed-links' );
if ( ! isset( $content_width ) )
	$content_width = 1000;

/*******************************
 MENU SUPPORT
********************************/

function register_my_menus() {
  register_nav_menus(
    array('header-menu' => __( 'Header Menu' ) )
  );
}
add_action( 'init', 'register_my_menus' );

/*******************************
 SIDEBAR SUPPORT
********************************/

if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Main Sidebar',
		'before_widget' => '<section>',
		'after_widget' => '</section>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
));

if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Footer Widgets',
		'before_widget' => '<section>',
		'after_widget' => '</section>',
		'before_title' => '<h2 class="footertitle"><span class="white">[ ',
		'after_title' => ' ]</span></h2>',
));

/*******************************
 HTML5 COMMENTS
********************************/
function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>

<li>
  <article <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>"> <?php echo get_avatar($comment,$size='48',$default='<path_to_url>' ); ?>
    <header class="comment-author vcard">
      <div class="subheader"> <?php printf(__('<cite class="fn">%s</cite> posted on	'), get_comment_author_link()) ?>
        <time datetime="<?php the_time('Y-m-d')?>"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a></time>
        <?php edit_comment_link(__('[ edit ]'),'  ','') ?>
        <nav>
          <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
        </nav>
      </div>
    </header>
    <?php if ($comment->comment_approved == '0') : ?>
    <em>
    <?php _e('Your comment is awaiting moderation.') ?>
    </em> <br />
    <?php endif; ?>
    <?php comment_text() ?>
  </article>
  <!-- </li> is added by wordpress automatically -->
  <?php
}

/*******************************
 X DAYS AGO TEXT
********************************/

function wp_days_ago ($offset=0) {
		$since = round((strtotime(date("Y-m-d", time() + ($offset * 3600))) - strtotime(date("Y-m-d", get_the_time("U")))) / 86400);

		if($since == 1)
			$since = "yesterday";
		elseif($since == 0)
			$since = "today";
		elseif($since == 7)
			$since = "one week ago";
		else
			$since = $since . " days ago";

		$years = substr($since / 365,0,1);
		if($years != "0")
		{
			if($years == "1")
				$yearappend = "year";
			else
				$yearappend = "years";

			$days = $since - (365 * $years);
			if($days == "0")
				$since = $years . " " . $yearappend . " ago";
			else if($days == "1")
				$since = $years . " " . $yearappend . ", " . $days . " day ago";
			else
				$since = $years . " " . $yearappend . ", " . $days . " days ago";
		}

		echo $since;
}

add_filter('Posts', 'wp_days_ago');

/*******************************
 PAGINATION
********************************
 * Retrieve or display pagination code.
 *
 * The defaults for overwriting are:
 * 'page' - Default is null (int). The current page. This function will
 *      automatically determine the value.
 * 'pages' - Default is null (int). The total number of pages. This function will
 *      automatically determine the value.
 * 'range' - Default is 3 (int). The number of page links to show before and after
 *      the current page.
 * 'gap' - Default is 3 (int). The minimum number of pages before a gap is 
 *      replaced with ellipses (...).
 * 'anchor' - Default is 1 (int). The number of links to always show at begining
 *      and end of pagination
 * 'before' - Default is '<div class="emm-paginate">' (string). The html or text 
 *      to add before the pagination links.
 * 'after' - Default is '</div>' (string). The html or text to add after the
 *      pagination links.
 * 'title' - Default is '__('Pages:')' (string). The text to display before the
 *      pagination links.
 * 'next_page' - Default is '__('&raquo;')' (string). The text to use for the 
 *      next page link.
 * 'previous_page' - Default is '__('&laquo')' (string). The text to use for the 
 *      previous page link.
 * 'echo' - Default is 1 (int). To return the code instead of echo'ing, set this
 *      to 0 (zero).
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param array|string $args Optional. Override default arguments.
 * @return string HTML content, if not displaying.
 */
 
function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 3, 'gap' => 3, 'anchor' => 1,
		'before' => '<div class="emm-paginate">', 'after' => '</div>',
		'title' => __(''),
		'nextpage' => __('&raquo;'), 'previouspage' => __('&laquo'),
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'>...</span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}

/**
 * Helper function for pagination which builds the page links.
 *
 * @access private
 *
 * @author Eric Martin <eric@ericmmartin.com>
 * @copyright Copyright (c) 2009, Eric Martin
 * @version 1.0
 *
 * @param int $start The first link page.
 * @param int $max The last link page.
 * @return int $page Optional, default is 0. The current page.
 */
function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}

function post_is_in_descendant_category( $cats, $_post = null )
{
	foreach ( (array) $cats as $cat ) {
		// get_term_children() accepts integer ID only
		$descendants = get_term_children( (int) $cat, 'category');
		if ( $descendants && in_category( $descendants, $_post ) )
			return true;
	}
	return false;
}

/*******************************
 CSS VERSIONING
********************************/

// Custom Functions for CSS/Javascript Versioning
$GLOBALS["TEMPLATE_URL"] = get_bloginfo('template_url')."/";
$GLOBALS["TEMPLATE_RELATIVE_URL"] = wp_make_link_relative($GLOBALS["TEMPLATE_URL"]);

// Add ?v=[last modified time] to style sheets
function versioned_stylesheet($relative_url, $add_attributes=""){
  echo '<link rel="stylesheet" href="'.versioned_resource($relative_url).'" '.$add_attributes.'>'."\n";
}

// Add ?v=[last modified time] to javascripts
function versioned_javascript($relative_url, $add_attributes=""){
  echo '<script src="'.versioned_resource($relative_url).'" '.$add_attributes.'></script>'."\n";
}

// Add ?v=[last modified time] to a file url
function versioned_resource($relative_url){
  $file = $_SERVER["DOCUMENT_ROOT"].$relative_url;
  $file_version = "";

  if(file_exists($file)) {
    $file_version = "?v=".filemtime($file);
  }

  return $relative_url.$file_version;
}

/*******************************
THE WORDPRESS GALLERY SUCKS
********************************/

add_filter( 'post_gallery', 'amp_gallery', 10, 2 );

function amp_gallery( $output, $attr ) {
	global $post;

	static $amp_gallery_instance = 0;
	$amp_gallery_instance++;

	if ( is_feed() )
		return $output;

	if ( isset( $attr['orderby'] ) ) {
		$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
		if ( !$attr['orderby'] )
			unset( $attr['orderby'] );
	}

	$defaults = array(
		'order' => 'ASC',
		'orderby' => 'menu_order ID',
		'id' => $post->ID,
		'link' => '',
		'itemtag' => 'div',
		'captiontag' => 'div',
		'size' => 'thumbnail',
		'include' => '',
		'exclude' => '',
		'numberposts' => -1,
		'offset' => ''
	);

	$defaults = apply_filters( 'amp_gallery_defaults', $defaults );

	$attr = shortcode_atts( $defaults, $attr );
	extract( $attr );
	$id = intval( $id );

	$children = array(
		'post_parent' => $id,
		'post_status' => 'inherit',
		'post_type' => 'attachment',
		'post_mime_type' => 'image',
		'order' => $order,
		'orderby' => $orderby,
		'exclude' => $exclude,
		'include' => $include,
		'numberposts' => $numberposts,
		'offset' => $offset,
	);

	$attachments = get_children( $children );

	if ( empty( $attachments ) )
		return '';

	$itemtag = tag_escape( $itemtag );
	$captiontag = tag_escape( $captiontag );
	$i = 0;

	$attachment_count = count( $attachments );

	$output = "\n\t\t\t<div id='gallery-{$id}-{$amp_gallery_instance}' class='gallery gallery-{$id}'>";

	foreach ( $attachments as $id => $attachment ) {

		$output .= "\n\t\t\t\t\t<{$itemtag} class='gallery-item'>";

		$image = ( ( isset( $attr['link'] ) && 'file' == $attr['link'] ) ? wp_get_attachment_link( $id, $size, false, false ) : wp_get_attachment_link( $id, $size, true, false ) );
		$output .= apply_filters( 'amp_gallery_image', $image, $id, $attr, $amp_gallery_instance );

		$caption = apply_filters( 'amp_gallery_caption', wptexturize( esc_html( $attachment->post_excerpt ) ), $id, $attr, $amp_gallery_instance );

		if ( !empty( $caption ) )
			$output .= "\n\t\t\t\t\t\t<{$captiontag} class='gallery-caption'>{$caption}</{$captiontag}>";

		$output .= "\n\t\t\t\t\t</{$itemtag}>";

	}

	$output .= "\n\t\t\t</div><!-- .gallery -->\n";

	return $output;
}

/*******************************
  THEME OPTIONS PAGE
********************************/

add_action('admin_menu', 'amphitheatre_theme_page');

function amphitheatre_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['amphitheatre_settings']) )
	{
		$options = array ('logo_img','keywords','description','analytics','copyright');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'amphitheatre_'.$opt, $_POST[$opt] );
			add_option ( 'amphitheatre_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_menu_page(__('Amphitheatre Options'), __('Amphitheatre Options'), 'edit_themes', basename(__FILE__), 'amphitheatre_settings');
	add_submenu_page(__('Amphitheatre Options'), __('Amphitheatre Options'), 'edit_themes', basename(__FILE__), 'amphitheatre_settings');
}
function amphitheatre_settings()
{?>
  <div class="wrap">
    <h2>Amphitheatre Options</h2>
    <form method="post" action="">
      <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
        <legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Footer</strong></legend>
        <table class="form-table">
          <tr>
            <th colspan="2"><strong>Copyright Info</strong></th>
          </tr>
          <tr>
            <th><label for="copyright">Copyright Text</label></th>
            <td><textarea name="copyright" id="copyright" rows="4" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('amphitheatre_copyright')); ?></textarea>
              <br />
              <em>You can use HTML for links etc.</em></td>
          </tr>
        </table>
      </fieldset>
      <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
        <legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>SEO</strong></legend>
        <table class="form-table">
          <tr>
            <th><label for="keywords">Meta Keywords</label></th>
            <td><textarea name="keywords" id="keywords" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('amphitheatre_keywords'); ?></textarea>
              <br />
              <em>Keywords comma separated</em></td>
          </tr>
          <tr>
            <th><label for="description">Meta Description</label></th>
            <td><textarea name="description" id="description" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('amphitheatre_description'); ?></textarea></td>
          </tr>
          <tr>
            <th><label for="ads">Google Analytics code:</label></th>
            <td><textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('amphitheatre_analytics')); ?></textarea></td>
          </tr>
        </table>
      </fieldset>
      <p class="submit">
        <input type="submit" name="Submit" class="button-primary" value="Save Changes" />
        <input type="hidden" name="amphitheatre_settings" value="save" style="display:none;" />
      </p>
    </form>
    <p>Amphitheatre by <a href="http://mogki.com">Mogki</a></p>
  </div>
  </div>
  <?php }
?>