<?php
/**
 * @package WordPress
 * @subpackage Amphitheatre
 */
 get_header(); ?>

<div id="main" role="main">
  <?php get_sidebar(); ?>
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  <article class="post" id="post-<?php the_ID(); ?>">
    <hgroup id="site-title">
      <h1><a href="<?php echo home_url(); ?>/">
        <?php bloginfo('name'); ?>
        </a></h1>
      <h2 id="site-description">
        <?php bloginfo( 'description' ); ?>
      </h2>
    </hgroup>
    <header class="boxheader">
      <h1><a href="<?php echo get_permalink($post->post_parent); ?>"><?php echo get_the_title($post->post_parent); ?></a> &raquo;
        <?php the_title(); ?>
      </h1>
      <div class="subheader">
        <time datetime="<?php the_time('Y-m-d')?>">
          <?php the_time('F jS, Y') ?>
          at
          <?php the_time() ?>
        </time>
        by
        <?php the_author() ?>
        <?php edit_post_link('[ edit ]',''); ?>
        <img src="<?php echo get_template_directory_uri(); ?>/images/speechbubble.png" alt="" />
        <?php comments_popup_link('No Comments', '1 Comment ', '% Comments'); ?>
        <img src="<?php echo get_template_directory_uri(); ?>/images/link.png" alt="" /> <a href="<?php echo get_permalink($post->post_parent); ?>"><?php echo get_the_title($post->post_parent); ?></a>
        <?php the_tags('<div class="tags">', ', ', '</div>'); ?>
        <img src="<?php echo get_template_directory_uri(); ?>/images/expand.png" alt="" /> <a title="<?php _e( 'Full Size Image' ); ?>" href="<?php echo wp_get_attachment_url(); ?>">
        <?php $size = getimagesize( wp_get_attachment_url() ); echo $size[0] . ' &times; ' . $size[1]; ?>
        </a></div>
    </header>
    <p class="attachment"><a rel="fancybox" title="<?php the_excerpt(); ?><?php the_content() ?>" href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php echo wp_get_attachment_image( $post->ID, array( 2000,9999 ) );?></a></p>
    <?php if ( !empty($post->post_excerpt) ) the_excerpt(); // this is the "caption" ?>
    <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
    <footer>
      <nav class="navigation_group">
        <div class="next">
          <?php next_image_link() ?>
        </div>
        <div class="prev">
          <?php previous_image_link() ?>
        </div>
        <div class="clear"></div>
      </nav>
    </footer>
    <?php comments_template(); ?>
    <?php endwhile; else: ?>
    <p>Sorry, no attachments matched your criteria.</p>
    <?php endif; ?>
  </article>
</div>
<?php get_footer(); ?>