<?php
/**
 * @package WordPress
 * @subpackage Amphitheatre
 */
 get_header(); ?>
<div id="grid" role="main">
  <?php while (have_posts()) : the_post(); ?>
  <?php $postclass = ($post == $posts[0]) ? 'col2' : 'col1'; ?>
  <!-- Style first post -->
  <article <?php post_class('box ' . $postclass); ?> id="post-<?php the_ID(); ?>">
  <?php if ($count == 0) : ?>
  <hgroup id="site-title">
    <h1><a href="<?php echo home_url(); ?>/">
      <?php bloginfo('name'); ?>
      </a></h1>
    <h2 id="site-description">
      <?php bloginfo( 'description' ); ?>
    </h2>
  </hgroup>
  <?php endif; $count++; ?>
  <?php if(has_post_thumbnail()): ?>
  <div class="comment-float">
    <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
  </div>
  <?php the_post_thumbnail('' .postclass. 'img'); ?>
  <header class="boxheader">
  <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
    <?php the_title(); ?>
    </a></h1>
  <?php else: ?>
  <header class="boxheader">
    <h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
      <?php the_title(); ?>
      </a></h1>
    <div class="subheader">
      <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
    </div>
    <?php endif; ?>
  </header>
  <?php the_content('Read the rest of this entry &raquo;'); ?>
    <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
  <footer class="postfooter">
    <time class="time" datetime="<?php the_time('Y-m-d')?>"><span class="day">
      <?php the_time('d')?>
      </span> <span class="month">
      <?php the_time('M')?>
      </span> <span class="year">
      <?php the_time('Y')?>
      </span></time>
    <div class="postmeta"> <span class="author"><em>Posted by</em>
      <?php the_author() ?>
      </span> <em>
      <?php wp_days_ago(); ?>
      </em><br/>
      <em>Category</em>
      <?php the_category(' &rsaquo; ') ?>
      |
      <?php edit_post_link('Edit', '', ''); ?>
    </div>
    <div class="clear"></div>
  </footer>
  </article>
  <?php if ($count == 1) : ?>
  <?php get_sidebar(); ?>
  <?php endif; $count++; ?>
  <?php endwhile ?>
  <div class="clear"></div>
</div>
<nav>
  <div class="navigation_group">
    <div class="next">
      <?php previous_posts_link('&laquo; Newer Posts') ?>
    </div>
    <div class="prev">
      <?php next_posts_link('Older Posts &raquo;') ?>
    </div>
    <?php if (function_exists("emm_paginate")) {
				emm_paginate();
			} ?>
  </div>
</nav>
<?php get_footer(); ?>