<?php
/**
 * @package WordPress
 * @subpackage Amphitheatre
 */
 get_header(); ?>

<div id="main" role="main">
  <?php get_sidebar(); ?>
  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  <article class="post" id="post-<?php the_ID(); ?>">
    <hgroup id="site-title">
      <h1><a href="<?php echo home_url(); ?>/">
        <?php bloginfo('name'); ?>
        </a></h1>
      <h2 id="site-description">
        <?php bloginfo( 'description' ); ?>
      </h2>
    </hgroup>
    <header class="boxheader">
      <h1>
        <?php the_title(); ?>
      </h1>
      <div class="subheader">
        <time datetime="<?php the_time('Y-m-d')?>">
          <?php the_time('F jS, Y') ?>
          at
          <?php the_time('g:i a') ?>
        </time>
        by
        <?php the_author() ?>
        <?php edit_post_link('[ edit ]',''); ?>	
        <img src="<?php get_template_directory_uri(); ?>/images/speechbubble.png" alt="" />
        <?php comments_popup_link('No Comments', '1 Comment ', '% Comments'); ?>
        <img src="<?php get_template_directory_uri(); ?>/images/pencil.png" alt="" />
        <?php the_category(', ') ?>
        <?php the_tags('<div class="tags">', ', ', '</div>'); ?>
      </div>
    </header>
    <?php the_content('Read the rest of this entry &raquo;'); ?>
    <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
    <footer> </footer>
    <nav class="navigation_group">
      <div class="next">
        <?php next_post_link('&laquo; %link') ?>
      </div>
      <div class="prev">
        <?php previous_post_link('%link &raquo;') ?>
      </div>
    </nav>
    <?php comments_template(); ?>
  </article>
  <?php endwhile; else: ?>
  <p>Sorry, no posts matched your criteria.</p>
  <?php endif; ?>
</div>
<?php get_footer(); ?>